
import type { ModuleOptions } from './module'


declare module '@nuxt/schema' {
  interface NuxtConfig { ['apiParty']?: Partial<ModuleOptions> }
  interface NuxtOptions { ['apiParty']?: ModuleOptions }
}

declare module 'nuxt/schema' {
  interface NuxtConfig { ['apiParty']?: Partial<ModuleOptions> }
  interface NuxtOptions { ['apiParty']?: ModuleOptions }
}


export type { ApiEndpoint, ModuleOptions, default } from './module'
